Skip to main content Skip to footer
Angular Spreadsheet Solution - SpreadJS

A Complete Angular Spreadsheet Solution With Over 500 Excel Functions

Deliver true Excel-like spreadsheet experiences, fast - with zero dependencies on Excel. Create financial, budgeting/forecasting, scientific, engineering, healthcare, insurance, and many other similar Angular spreadsheet business applications.

  • Create custom Angular spreadsheets, advanced grids, dashboards, reports, and data input forms and much more with the comprehensive API
  • Leverage the powerful, high-speed calculation engine for your most complex calculations
  • Import and export your most demanding Excel .xlsx spreadsheet
Download Free Trial (V 19.2.2)

Customer Spotlight: Ramp Labs
See why they chose SpreadJS to power Ramp Sheets, an AI-native spreadsheet application. See Full Case Study →

Test Drive the Ultimate Angular Spreadsheet

Angular spreadsheet components are software elements that enable developers to add Excel-like features to web applications. SpreadJS offers a suite of controls for .xlsx import/export, data input, 30+ chart types, cell customization, a robust calculation engine with 500+ functions, and more.

Ultimate Angular Spreadsheet Solution

Familiar Spreadsheet Experience with Excel IO in Angular Apps

Familiar Spreadsheet Experience with Excel IO

SpreadJS delivers a robust Angular spreadsheet experience, featuring support for worksheets, row and column headers, a status bar, and more. It includes comprehensive features to provide a complete Microsoft Excel-like experience - even for your Excel power users - including charts, tables, shapes, sparklines, conditional formatting, functions and filtering and so much more. With support for seamless Excel import and export, you can easily integrate your existing spreadsheet data and create and share reports without any dependency on Microsoft Excel.

High-Performance Spreadsheet Engine

SpreadJS has been designed and optimized from the ground up for fast performance that can handle your most demanding spreadsheet files and datasets. The powerful Calc Engine offers 500+ functions in 19 Languages that includes statistical and financial functions, dynamic arrays and custom user defined functions that are optimized for big data, complex calculations, and advanced Excel models. Make your spreadsheets even more responsive by processing calculations in background threads using Calc Worker!

High-Performance Angular Spreadsheet Engine
Complete Document Control

Complete Document Control

SpreadJS offers comprehensive control over your Angular spreadsheets, allowing developers to have precise control over what areas of the spreadsheet data - such as cells, rows, columns, sheets and formulas - can be accessed or edited by the user. With the extensive API, you can secure, manage and help eliminate risk such as for Regulatory compliance while keeping the same Excel spreadsheet functionality your users love online but in your controlled and secure environment.

Enhanced Add-Ons - Add Even More Capabilities

Give users a familiar, Excel-like spreadsheet experience with optional add-ons designed with spreadsheet power users in mind. The Designer Ribbon allows end-users to easily customize spreadsheets with an intuitive toolbar, while PivotTable helps users summarize, analyze, and explore complex data. 

Extend the spreadsheet experience further with specialized capabilities for more advanced use cases. Enable natural-language spreadsheet insights with an AI Assistant and real-time, multi-user editing with the Collaboration Server. Add GanttSheet, DataCharts, and ReportSheet to support project planning, data visualization, and structured spreadsheet reporting.

JavaScript Spreadsheet Add-Ons | Extended UI/UX Spreadsheet Features

Build Your Own Angular Spreadsheet

Quick Start Guide
1.  Download the latest SpreadJS release or get the needed packages from npm.

Download Full Trial 
npm install @mescius/spread-sheets @mescius/spread-sheets-angular

2.Import the Angular spreadsheet component.

import { Component } from '@angular/core';
import * as GC from "@mescius/spread-sheets";
import { SpreadSheetsModule } from "@mescius/spread-sheets-angular";

3. Add SpreadJS's CSS resource. "styles": [
    "src/styles.css",
    "node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"
]
4. Initialize the Angular spreadsheet component. <gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="workbookInit($event)">
</gc-spread-sheets>

Learn more with our complete quick start guide for SpreadJS.

The Leading Angular Spreadsheet Library

Easy Licensing & Distribution

Generate Distribution Key/s for Your SpreadJS Applications via Your MESCIUS Account After Purchase

Licensing FAQs

SpreadJS is licensed per developer and deployed hostname. Hostname deployment licenses vary depending on whether the deployment is commercial or non-commercial.

Learn More About Licensing

Request a Trial Key

Our sales team can provide 30-day trial Distribution Keys for SpreadJS and the optional add-ons upon request, allowing you to deploy SpreadJS during your trial period.

Contact Our Sales Team

Have Questions? We're Here to Help

Email us.sales@mescius.com to schedule a call with our product specialists or request a personalized demo through support to discuss your project needs.

Contact Support

What's New in SpreadJS v19.2

SpreadJS v19.2 is available! This release offers several new enhancements and features to its JavaScript spreadsheet component and new optional add-ons, including:

Award-Winning Products and First-Class Support

Five Star Rating

"I have been using a various form of Spread back to the COM days. Spread is the most reliable spreadsheet that retrieves and stores data, whether interacting with a database or simply an Excel file. Try it out, and you will not go back to any other control"

TRUSTED CUSTOMER

Five Star Rating

"Great support through evaluation process, Spread is my favorite development add-in, adds great, high value capabilities to applications!"

TRUSTED CUSTOMER

Five Star Rating

"Excellent Products. I have been using their products for around 15 years. Always there to help."

TRUSTED CUSTOMER

ComponentSource Award 2024 Top 50 Product Top 50 Product (#31) - Component Source 2025

Trusted by the World's Leading Companies

"SpreadJS enabled the core spreadsheet interface that Ramp Sheets is built around. Rather than being an additive feature, it served as the foundation for the primary user experience."

Ben Geist, Ramp Labs

"Thanks for providing the best [JavaScript] spreadsheet widget in the world, we're very happy customers. Your product has saved us a TON of time relative to other solutions we used in the past."

Jan Domanski, Labstep

"We have been using Spread in our desk and web products (PerpetualBudget) for over a decade. Not only are the Spread grids great controls but the support at GrapeCity [now known as MESCIUS] is the best. When you need them, they're there!"

Jim Spicer, Spicer-Baer Associates

"One of the nice things about SpreadJS is that we could just plug it into our frontend and get all of that functionality directly out of the box without having to develop it ourselves. Spreadsheets are complicated… and I don't want to build them myself."

Alex Henkel, Ramp Labs

"I haven't come across such a feature-rich solid Spread before. Thanks for giving such a nice component."

Adavesh Managaon, MVP, Visual C#

"Spread benefits my company because our clients can now see the immediate benefit the websites we create for them provide."

Michael Stark, Owner, StarkNetwork.com

Skip to main content Skip to footer
SpreadJS - Vue Spreadsheets

A Complete Vue Spreadsheet Solution With Over 500 Excel Functions

Deliver true Excel-like spreadsheet experiences, fast - with zero dependencies on Excel. Create financial reports and dashboards, budgeting and forecasting models, scientific, engineering, healthcare, education, science lab notebooks, and more.

  • Create custom spreadsheets, advanced grids, dashboards, reports, and data input forms with the comprehensive API
  • Leverage the powerful, high-speed calculation engine for your most complex calculations
  • Import and export your most demanding Excel .xlsx spreadsheets
  • Full support for ReactVueAngular, and TypeScript
Download Free Trial (V 19.2.2)

Customer Spotlight: Ramp Labs
See why they chose SpreadJS to power Ramp Sheets, an AI-native spreadsheet application. See Full Case Study →

Test Drive the Ultimate Vue Spreadsheet

Vue spreadsheet components are software elements that enable developers to add Excel-like features to web applications. SpreadJS offers a suite of controls for .xlsx import/export, data input, 30+ chart types, cell customization, a robust calculation engine with 500+ functions, and more.

Ultimate Vue Spreadsheet Solution

Familiar Spreadsheet Experience with Excel IO in Vue Apps

Familiar Spreadsheet Experience with Excel IO

SpreadJS delivers a robust Vue spreadsheet experience, featuring support for worksheets, row and column headers, a status bar, and more. It includes comprehensive features to provide a complete Microsoft Excel-like experience - even for your Excel power users - including charts, tables, shapes, sparklines, conditional formatting, functions and filtering and so much more. With support for seamless Excel import and export, you can easily integrate your existing spreadsheet data and create and share reports without any dependency on Microsoft Excel.

High-Performance Spreadsheet Engine

SpreadJS has been designed and optimized from the ground up for fast performance that can handle your most demanding spreadsheet files and datasets. The powerful Calc Engine offers 500+ functions in 19 Languages that includes statistical and financial functions, dynamic arrays and custom user defined functions that are optimized for big data, complex calculations, and advanced Excel models. Make your spreadsheets even more responsive by processing calculations in background threads using Calc Worker!

High-Performance React Spreadsheet Engine
Complete Document Control

Complete Document Control

SpreadJS offers comprehensive control over your Vue spreadsheets, allowing developers to have precise control over what areas of the spreadsheet data - such as cells, rows, columns, sheets and formulas - can be accessed or edited by the user. With the extensive API, you can secure, manage and help eliminate risk such as for Regulatory compliance while keeping the same Excel spreadsheet functionality your users love online but in your controlled and secure environment.

Enhanced Add-Ons - Add Even More Capabilities

Give users a familiar, Excel-like spreadsheet experience with optional add-ons designed with spreadsheet power users in mind. The Designer Ribbon allows end-users to easily customize spreadsheets with an intuitive toolbar, while PivotTable helps users summarize, analyze, and explore complex data. 

Extend the spreadsheet experience further with specialized capabilities for more advanced use cases. Enable natural-language spreadsheet insights with an AI Assistant and real-time, multi-user editing with the Collaboration Server. Add GanttSheet, DataCharts, and ReportSheet to support project planning, data visualization, and structured spreadsheet reporting.

JavaScript Spreadsheet Add-Ons | Extended UI/UX Spreadsheet Features

Build Your Own Vue Spreadsheet

Quick Start Guide
1. Download the latest SpreadJS release or get the needed packages from npm.

Download Full Trial 
npm install @mescius/spread-sheets @mescius/spread-sheets-vue

2.Register SpreadJS components

import { GcSpreadSheets, GcWorksheet, GcColumn } from '@mescius/spread-sheets-vue';

const app = createApp(App);
app.component('gc-spread-sheets', GcSpreadSheets);
app.component('gc-worksheet', GcWorksheet);
app.component('gc-column', GcColumn);
app.mount('#app');

3. Add the SpreadJS Component to the Template

<template>
  <div id="spread-host">
    <gc-spread-sheets hostClass="spreadHost" @workbookInitialized="initWorkbook" />
  </div>
</template>

4. Initialize the Vue Workbook in the Script

<script setup>
import "@mescius/spread-sheets/styles/gc.spread.sheets.excel2016colorful.css";
import * as GC from "@mescius/spread-sheets";

function initWorkbook(spread) {
  var sheet = spread.getActiveSheet();
}
</script>

Learn more with our complete quick start guide for SpreadJS.

The Leading Vue Spreadsheet Library

Easy Licensing & Distribution

Generate Distribution Key/s for Your SpreadJS Applications via Your MESCIUS Account After Purchase

Licensing FAQs

SpreadJS is licensed per developer and deployed hostname. Hostname deployment licenses vary depending on whether the deployment is commercial or non-commercial.

Learn More About Licensing

Request a Trial Key

Our sales team can provide 30-day trial Distribution Keys for SpreadJS and the optional add-ons upon request, allowing you to deploy SpreadJS during your trial period.

Contact Our Sales Team

Have Questions? We're Here to Help

Email us.sales@mescius.com to schedule a call with our product specialists or request a personalized demo through support to discuss your project needs.

Contact Support

What's New in SpreadJS v19.2

SpreadJS v19.2 is available! This release offers several new enhancements and features to its JavaScript spreadsheet component and new optional add-ons, including:

Award-Winning Products and First-Class Support

Five Star Rating

"I have been using a various form of Spread back to the COM days. Spread is the most reliable spreadsheet that retrieves and stores data, whether interacting with a database or simply an Excel file. Try it out, and you will not go back to any other control"

TRUSTED CUSTOMER

Five Star Rating

"Great support through evaluation process, Spread is my favorite development add-in, adds great, high value capabilities to applications!"

TRUSTED CUSTOMER

Five Star Rating

"Excellent Products. I have been using their products for around 15 years. Always there to help."

TRUSTED CUSTOMER

ComponentSource Award 2024 Top 50 Product Top 50 Product (#31) - Component Source 2025

Trusted by the World's Leading Companies

"SpreadJS enabled the core spreadsheet interface that Ramp Sheets is built around. Rather than being an additive feature, it served as the foundation for the primary user experience."

Ben Geist, Ramp Labs

"Thanks for providing the best [JavaScript] spreadsheet widget in the world, we're very happy customers. Your product has saved us a TON of time relative to other solutions we used in the past."

Jan Domanski, Labstep

"We have been using Spread in our desk and web products (PerpetualBudget) for over a decade. Not only are the Spread grids great controls but the support at GrapeCity [now known as MESCIUS] is the best. When you need them, they're there!"

Jim Spicer, Spicer-Baer Associates

"One of the nice things about SpreadJS is that we could just plug it into our frontend and get all of that functionality directly out of the box without having to develop it ourselves. Spreadsheets are complicated… and I don't want to build them myself."

Alex Henkel, Ramp Labs

"I haven't come across such a feature-rich solid Spread before. Thanks for giving such a nice component."

Adavesh Managaon, MVP, Visual C#

"Spread benefits my company because our clients can now see the immediate benefit the websites we create for them provide."

Michael Stark, Owner, StarkNetwork.com